Subject: Ticket Assigned - Returns
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Thu, 16 Mar 2023 07:11:02 +0000 (UTC)

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns return 1003913188 for order 1713516665 has been cancelled as requested by you ????????????

May i know what is this ?
I received emails that mentioned that I cancelled the return items which is not true . Until yesterday I sent to u an email that i need my refund for these items which u not respond at all to solve the return issue.
And i will start take a legal action with my lawyer as u lie and cheating. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5856862